Package com.independentsoft.office.odf.fields

# Enum Class FileNameDisplayType

java.lang.Object
java.lang.Enum<FileNameDisplayType>
com.independentsoft.office.odf.fields.FileNameDisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileNameDisplayType>`, `Constable`

public enum FileNameDisplayType extends Enum<FileNameDisplayType>
Represents how much of the file name to display.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  Full file name, extension and file path.
  `NAME`
  File name only.
  `NAME_AND_EXTENSION`
  File name and extension.
  `NONE`
  None
  `PATH`
  File path only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileNameDisplayType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileNameDisplayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final FileNameDisplayType FULL
    Full file name, extension and file path.

  - ### PATH

    public static final FileNameDisplayType PATH
    File path only.

  - ### NAME

    public static final FileNameDisplayType NAME
    File name only.

  - ### NAME_AND_EXTENSION

    public static final FileNameDisplayType NAME_AND_EXTENSION
    File name and extension.

  - ### NONE

    public static final FileNameDisplayType NONE
    None

- ## Method Details

  - ### values

    public static FileNameDisplayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileNameDisplayType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null